This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1302515 - need option in the webui to set location as default post-install
need option in the webui to set location as default post-install
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations (Show other bugs)
Nightly
x86_64 Linux
low Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks: 1268012
  Show dependency treegraph
 
Reported: 2016-01-27 22:13 EST by Chris Roberts
Modified: 2017-01-13 15:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 15:59:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Roberts 2016-01-27 22:13:14 EST
Description of problem:

BZ 1268012 states that we can not delete a default location as long as katello_default is set to true. This is fine if a customer put in a location during install, but if they did not post install we need an option to set a newly created location as katello_default so we can delete the default_location created by the installer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run katello-installer without any args
2. Try to delete the default_location
3. try to set default location to false with rails even after setting the new location to true results in a rollback.

Actual results:


Expected results:


Additional info:

1268012 is blocked on this
Comment 2 Bryan Kearney 2016-07-26 15:05:43 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2017-01-13 15:59:57 EST
I do not envision this bug being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.